Bug 885279 - AttributeError: 'NoneType' object has no attribute 'startswith'
AttributeError: 'NoneType' object has no attribute 'startswith'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:2d3a9318ea0bde65aabf2ed3b93...
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-12-08 00:12 EST by Chris Murphy
Modified: 2012-12-14 22:18 EST (History)
10 users (show)

See Also:
Fixed In Version: anaconda-18.37.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 22:18:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (1.22 MB, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: environ (886 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: type (9 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: storage.log (534.48 KB, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: version (2 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: program.log (281.72 KB, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: executable (14 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: product (6 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: anaconda.log (29.30 KB, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: packaging.log (142 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: release (33 bytes, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details
File: messages (395.54 KB, text/plain)
2012-12-08 00:12 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2012-12-08 00:12:27 EST
Description of problem:
Started with a non-empty disk, and headed directly to Manual Partitioning.
1. Removed all partitions.
2. + icon to add the first new installation partition, typed in the name swap, set size to 5G, clicked OK.
Crash


Version-Release number of selected component:
anaconda-18.37-1.fc18.x86_64

Additional info:
libreport version: 2.0.18
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.9-4.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.37 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1773, in on_add_clicked
:    (mountpoint.startswith("/boot") or
:AttributeError: 'NoneType' object has no attribute 'startswith'
Comment 1 Chris Murphy 2012-12-08 00:12:32 EST
Created attachment 659705 [details]
File: anaconda-tb
Comment 2 Chris Murphy 2012-12-08 00:12:34 EST
Created attachment 659706 [details]
File: environ
Comment 3 Chris Murphy 2012-12-08 00:12:35 EST
Created attachment 659707 [details]
File: type
Comment 4 Chris Murphy 2012-12-08 00:12:38 EST
Created attachment 659708 [details]
File: storage.log
Comment 5 Chris Murphy 2012-12-08 00:12:39 EST
Created attachment 659709 [details]
File: version
Comment 6 Chris Murphy 2012-12-08 00:12:41 EST
Created attachment 659710 [details]
File: program.log
Comment 7 Chris Murphy 2012-12-08 00:12:42 EST
Created attachment 659711 [details]
File: executable
Comment 8 Chris Murphy 2012-12-08 00:12:44 EST
Created attachment 659712 [details]
File: product
Comment 9 Chris Murphy 2012-12-08 00:12:46 EST
Created attachment 659713 [details]
File: anaconda.log
Comment 10 Chris Murphy 2012-12-08 00:12:47 EST
Created attachment 659714 [details]
File: hashmarkername
Comment 11 Chris Murphy 2012-12-08 00:12:49 EST
Created attachment 659715 [details]
File: packaging.log
Comment 12 Chris Murphy 2012-12-08 00:12:50 EST
Created attachment 659716 [details]
File: cmdline_file
Comment 13 Chris Murphy 2012-12-08 00:12:52 EST
Created attachment 659717 [details]
File: release
Comment 14 Chris Murphy 2012-12-08 00:12:54 EST
Created attachment 659718 [details]
File: messages
Comment 15 Chris Murphy 2012-12-08 00:25:33 EST
Bug is 100% reproducible. Proposing as blocker.

Fedora 18 beta release criterion #10: custom partitioning mode must be capable of...Creating, destroying and assigning mount points to partitions of any specified size using most commonly-used filesystem types...and rejecting obviously invalid operations without crashing.
Comment 16 Chris Murphy 2012-12-08 00:45:45 EST
Also reproducible with a blank virtual disk. And it doesn't matter what order I try to manually add a swap mount point, or what size I use, I get a crash. Seems like a regression, I'm sure this used to work.
Comment 17 Jan Sedlák 2012-12-10 08:54:17 EST
Tried to add swap partition.

Package: anaconda-18.37
OS Release: Fedora release 18
Comment 18 Reartes Guillermo 2012-12-10 09:40:29 EST
i selected one disk, went to manual partitioning (but set type to btrfs) 

i deleted all partitions

it happens when i create a 'swap' (example size: 512mb)



Package: anaconda-18.37
OS Release: Fedora release 18
Comment 19 Reartes Guillermo 2012-12-10 09:52:28 EST
Affected:

Manual Partitioning (TYPE set to BTRFS)
Manual Partitioning (TPYE set to LVM)

Unaffected:

Manual Partitioning (TPYE set to STANDARD PARTITION)
Comment 20 Adam Williamson 2012-12-10 14:33:36 EST
Discussed at 2012-12-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-10/f18final-blocker-review-3.2012-12-10-17.13.log.txt . Accepted as a blocker per criterion "The installer must be able to create and install to any workable partition layout using any file system offered in a default installer configuration, LVM, software, hardware or BIOS RAID, or combination of the above".
Comment 21 Fedora Update System 2012-12-12 14:20:21 EST
anaconda-18.37.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-19991/anaconda-18.37.2-1.fc18
Comment 22 Fedora Update System 2012-12-12 15:42:50 EST
Package anaconda-18.37.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19991/anaconda-18.37.1-1.fc18
then log in and leave karma (feedback).
Comment 23 Chris Murphy 2012-12-12 17:32:34 EST
anaconda-18.37.2-1 fixes this bug for me.
Comment 24 Fedora Update System 2012-12-14 22:18:37 EST
anaconda-18.37.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.